%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:           glite-lb-utils
Version:        2.3.11
Release:        1%{?dist}
Summary:        gLite Logging and Bookkeeping auxiliary utilities

License:        ASL 2.0
URL:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.lb.utils/%{name}-%{version}.tar.gz

BuildRequires:  cppunit-devel
BuildRequires:  glite-lb-types
BuildRequires:  glite-jobid-api-c-devel
BuildRequires:  glite-lb-client-devel
BuildRequires:  glite-lb-state-machine-devel
BuildRequires:  glite-lbjp-common-jp-interface-devel
BuildRequires:  glite-lbjp-common-maildir-devel
BuildRequires:  glite-lbjp-common-trio-devel
BuildRequires:  libtool
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  pkgconfig
Requires:       glite-lb-state-machine-plugins%{?_isa}

%description
glite-lb-utils are gLite LB utilities used for dumping (glite-lb-dump) and
purging (glite-lb-purge) data from LB server, for loading (glite-lb-load) data
to server, for real time monitoring (glite-lb-mon) and post-mortem statistics
(glite-lb-statistics).


%prep
%setup -q


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib} --docdir=%{_pkgdocdir}
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%files
%doc ChangeLog LICENSE doc/README.LB-monitoring doc/README.LB-statistics
%{_bindir}/glite-lb-bkpurge-offline
%{_bindir}/glite-lb-dump
%{_bindir}/glite-lb-dump_exporter
%{_bindir}/glite-lb-load
%{_bindir}/glite-lb-mon
%{_bindir}/glite-lb-purge
%{_bindir}/glite-lb-state_history
%{_bindir}/glite-lb-statistics
%{_mandir}/man1/*


%changelog
* Thu Jun 26 2014 František Dvořák <valtri@civ.zcu.cz> - 2.3.11-1
- New release 2.3.11 (L&B 4.1.2)
- Consistent style with buildroot macro
- New man pages patch in upstream

* Sat Jun 21 2014 František Dvořák <valtri@civ.zcu.cz> - 2.3.10-2
- Added missing man pages

* Sat May 31 2014 František Dvořák <valtri@civ.zcu.cz> - 2.3.10-1
- New release 2.3.10 (L&B 4.1.1)

* Fri Jan 10 2014 František Dvořák <valtri@civ.zcu.cz> - 2.3.9-1
- Initial package
